Subject: Re: Running a section of code from internal memory

From: Marco Stornelli <[email-masked]>
Date: Thu, 08 May 2008 14:45:18 +0200

Sanal Kumar V K ha scritto:
> Hi All,
> 
> I am porting a GW/router application to embedded Linux for a product
> based on SoC; following is the version information:
> 
> kernel: 2.6.10
> uClibc: 0.9.27
> gcc: 3.4.3
> binutils: 2.15.94.0.2.2
> 
> A small part of the code needs to run from the on-chip "L2 scratch" for
> getting optimum performance. I would really appreciate if some could
> give me some pointers regarding the following questions:
> 
> 1. Is #pragma section supported by gcc.
> The compiler prints this warning "ignoring #pragma section" and the
> pragma is ignored indicating that it is not supported. Is there any way
> I can get the pragma working for gcc or any alternative?
> 
> 2. Is there any patch available to modify the kernel thread creation so
> as to place the stack and tcb in the user configured addresses for
> kernel threads (similar to taskInit() in VxWorks)?
> 
> Thanks in advance,
> Sanal
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
I think at application level you can use the #pragma directive but I'm 
sure that you can't use this directive at kernel level.